Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1336281 - libmicrohttpd is not working for the large file transfer [NEEDINFO]
Summary: libmicrohttpd is not working for the large file transfer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libmicrohttpd
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-16 05:50 UTC by Narendra
Modified: 2019-08-06 07:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 07:55:23 UTC
Type: Bug
k2k: needinfo? (narendra.ajel)


Attachments (Terms of Use)

Description Narendra 2016-05-16 05:50:05 UTC
Description of problem:

I am using libmicrohttpd getting the client post data which is large xml string size is more than 16kb . I am not able to get the proper data when i reading the libmicrohttpd side Is their any limitation in file size which i can get through POST .I used post_iter concept which is explained in example but no use it is working if string length is less than 16 KB 



Version-Release number of selected component (if applicable):
0.9.48

How reproducible:
Please send the string which is larger than 16kb using curl client side 

Steps to Reproduce:
1.Please send the string which is larger than 16kb using curl client side


Actual results:
Not able to get the proper data 

Expected results:
Should receive data properly 

Additional info:

Comment 1 Lukáš Nykrýn 2016-05-17 12:25:53 UTC
Can you try if the current upstream version works for you?

Comment 2 Narendra 2016-06-01 11:32:24 UTC
No i tried with the upstream version 0.9.49 it is also not working .

if you have good example code which work with large amount of data transfer please share with me

Comment 3 Karlson2k 2017-12-04 16:50:04 UTC
Should be already fixed in upstream.


Note You need to log in before you can comment on or make changes to this bug.